<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace DM\Processing\Steps;

use DM\Processing\Step;

class CreateConfigJsonFile extends Step
{
    /**
     * @return boolean
     * @throws Exception
     */
    protected function processing()
    {
        $this->getLog()->addLog('Creating infomation config.json');
        $this->createDemoInformationDump();
        
        return true;
    }
    
    public function createDemoInformationDump()
    {
        $wp_filesystem = \DM\WPObjects\FileSystem\FileSystem::getInstance();
        $Demo = $this->getDemo();
        
        $Demo->setDataCreation(time());
        $demo_data = $Demo->toArray();
        $demo_json_data = json_encode($demo_data, JSON_PRETTY_PRINT);
        
        $wp_filesystem->put_contents($Demo->getLocalConfigFilePath(), $demo_json_data);
    }
    
    protected function abort()
    {
        return true;
    }
}

