<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

/* @var $this \DM\Pages\ChangeDemo */

$MainPage = \DM\Pages\DemoManager::getInstance();
$Demo = $this->getDemo();
$data = $Demo->toArray();

if (!$Demo->isUploaded()) {
    return;
}
        
?>

<div class="bootstrap-wrapper dm-settings">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-6">
                <h1>
                    <?php esc_html_e('Change demo config', 'dm');?>:
                    <?php echo esc_html($Demo->getTitle());?>
                </h1>
            </div>
            <div class="col-lg-6 p-lg text-right">
                <a href="<?php echo esc_url($MainPage->getUrl()); ?>" class="dashicons dashicons-undo" alt="f171"></a>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <form class="m-l-md" method="POST">
                    <?php foreach ($data as $name => $value): ?>
                    <div class="form-group">
                        <label for="<?php echo esc_attr($name); ?>">
                            <?php echo esc_html($name); ?>
                        </label>
                        <input 
                            type="text" 
                            class="form-control" 
                            name="<?php echo esc_attr($name); ?>" 
                            value="<?php echo esc_attr($value);?>">
                    </div>
                    <?php endforeach; ?>
                    <button type="submit" class="btn btn-default">
                        <?php esc_html_e('Save changes', 'dm');?>
                    </button>
                </form>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</div>

