<?php
/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */
?>

<div class="row installation-wrapper" style="display: none;">
    <div class="col-lg-12">
        <div class="process">
            <div class="process-header">
                <h1>
                    <span class="process-name"></span>: 
                    <?php esc_html_e('Steps', 'dm');?>
                    <span class="current-count">0</span> 
                    <?php esc_html_e('of', 'dm');?> 
                    <span class="all-count">0</span>
                </h1>

                <div class="processing">
                    <div class="line">
                        <div class="bg"></div>
                    </div>
                </div>

                <div class="log">
                    <div class="row">
                        <div class="col-md-8">
                            <img src="<?php echo plugins_url() . '/wp_demo_manager/assets/images/log-loading.gif'; ?>">
                            <span></span>
                        </div>
                        <div class="col-md-4">
                            <button class="btn btn-xs action-kill pull-right"><i class="fa fa fa-times" aria-hidden="true"></i> <?php esc_html_e('Kill process', 'dm');?></button>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
            <div class="process-details" style="display: none;">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="actions">
                            <button class="action-kill"><i class="fa fa fa-times" aria-hidden="true"></i> <?php esc_html_e('Kill', 'dm');?></button>
                            <button class="action-abort"><i class="fa fa-arrow-left" aria-hidden="true"></i> <?php esc_html_e('Aborting', 'dm');?></button>
                            <button class="action-continue"><?php esc_html_e('Continue', 'dm');?> <i class="fa fa-arrow-right" aria-hidden="true"></i></button>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="col-lg-9">
                        <div class="help-wrapper">
                            <!-- Ajax helps -->
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="log-wrapper">
                            <h3><?php esc_html_e('Detailed log', 'dm');?></h3>
                            <pre></pre>
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
            <div class="clearfix"></div>
        </div>
    
        <div class="clearfix"></div>
    </div>
</div>