<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

/* @var $Demo \DM\Demo */

$Config = \DM\Config::getInstance();

?>

<?php if ($Demo->version === \DM\Manager::INSTALLED) { ?>

    <?php if ($Demo->isActivated()) : ?>
        
        <?php if ($Config->isDevelopMode()) : ?>
        <button class="btn btn-default action-packing" data-demo-id="<?php echo $Demo->getGlobalId(); ?>">
            <i class="fa fa-hdd-o" aria-hidden="true"></i> 
            <?php esc_html_e('packing', 'dm');?>
        </button>
        <button class="btn btn-default action-packing-new">
            <i class="fa fa-clone" aria-hidden="true"></i>
            <?php esc_html_e('packing as new', 'dm');?>
        <!--</button>-->
        <?php endif; ?>

    <?php else: ?>
        <button class="btn btn-success activate-action" data-demo-id="<?php echo $Demo->getGlobalId(); ?>">
            <i class="fa fa-power-off" aria-hidden="true"></i>
            <?php esc_html_e('activate', 'dm');?>
        </button>
        <button class="btn btn-danger right-buttons uninstall-demo" data-demo-id="<?php echo $Demo->getGlobalId(); ?>">
            <i class="fa fa-cogs" aria-hidden="true"></i>
            <?php esc_html_e('uninstall', 'dm');?>
        </button>
    <?php endif; ?>

<?php } else if ($Demo->version === \DM\Manager::LOCAL) { ?>

    <?php if (!$Demo->isInstalled()): ?>
        <button class="btn btn-success install-demo" data-demo-id="<?php echo $Demo->getGlobalId(); ?>">
            <i class="fa fa-cog" aria-hidden="true"></i>
            <?php esc_html_e('install', 'dm');?>
        </button>
    <?php endif;?>

    <button class="btn btn-danger right-buttons delete-local-demo" data-demo-id="<?php echo $Demo->getGlobalId(); ?>">
        <i class="fa fa-trash" aria-hidden="true"></i>
        <?php esc_html_e('delete', 'dm');?>
    </button>

    <?php if ($Config->isDevelopMode()) : ?>
        <button class="btn btn-default deloying-local-demo" data-demo-id="<?php echo $Demo->getGlobalId(); ?>">
            <i class="fa fa-cloud-upload" aria-hidden="true"></i>
            <?php esc_html_e('deploy', 'dm');?>
        </button>
    <?php endif; ?>

    <?php if ($Config->isDevelopMode()) : ?>
        <?php if ($Demo->isZipping()) : ?>

            <a href="<?php echo esc_url($Demo->getDemoZipFileUrl()); ?>" class="btn btn-default">
                <i class="fa fa-download" aria-hidden="true"></i>
                <?php esc_html_e('download', 'dm');?>
            </a>

        <?php else: ?>

            <button class="btn btn-default make-demo-zip" data-demo-id="<?php echo $Demo->getGlobalId(); ?>">
                <i class="fa fa-file-archive-o" aria-hidden="true"></i>
                <?php esc_html_e('make zip', 'dm');?>
            </button>

        <?php endif; ?>
    <?php endif; ?>

    <?php if ($Config->isDevelopMode()) : ?>
    <a href="<?php echo $ChangeDemoPage->getDemoChageUrl($Demo->getId()); ?>" class="btn btn-default">
        <i class="fa fa-cogs" aria-hidden="true"></i>
        <?php esc_html_e('change', 'dm');?>
    </a>
    <?php endif; ?>

<?php } else if ($Demo->version === \DM\Manager::REMOUTE) { ?>

    <?php if ($Demo->getPreviewLink()) : ?>
        <a href="<?php echo $Demo->getPreviewLink(); ?>" target="_blank" class="btn btn-default"><i class="fa fa-eye" aria-hidden="true"></i></a>
    <?php endif; ?>

    <?php if ($Demo->getUploadUrl()) : ?>
        <a href="<?php echo esc_url($Demo->getUploadUrl()); ?>" target="_blank" title="<?php esc_attr_e('Download source package for handle installation', 'dm'); ?>" class="btn btn-default">
            <i class="fa fa-download" aria-hidden="true"></i>
            <?php esc_html_e('download', 'dm');?>
        </a>

        <button class="btn btn-default upload-remoute-demo" data-demo-id="<?php echo $Demo->getGlobalId(); ?>">
            <i class="fa fa-upload" aria-hidden="true"></i>
            <?php esc_html_e('upload', 'dm');?>
        </button>
    <?php endif; ?>

    <?php if ($Demo->getUploadUrl() && !$Demo->isInstalled()) : ?>
        <button class="btn btn-success install-demo" data-demo-id="<?php echo $Demo->getGlobalId(); ?>">
            <i class="fa fa-cog" aria-hidden="true"></i>
            <?php esc_html_e('install', 'dm');?>
        </button>
    <?php endif; ?>
        
    <?php if ($Config->isDevelopMode()) : ?>
        <button class="btn btn-danger right-buttons delete-demo-from-repository" data-demo-id="<?php echo $Demo->getGlobalId(); ?>">
            <i class="fa fa-trash" aria-hidden="true"></i>
            <?php esc_html_e('delete', 'dm');?>
        </button>
    <?php endif; ?>

<?php } ?>

<?php if (!$Demo->isCompatibleCurrentThemeVersion() && $Demo->getMarketLink()) : ?>
    <a href="<?php echo $Demo->getMarketLink(); ?>" target="_blank" class="btn btn-default buy">
        <i class="fa fa-shopping-cart" aria-hidden="true"></i> 
        <?php esc_html_e('update theme', 'dm-admin'); ?>
    </a>
<?php endif; ?>
